Workflow Templates - Phases API
- List all phases of a workflow template
- Get a single phase of a workflow template
- Add a phase to a workflow template
- Update a phase of a workflow template
- Remove a phase from a workflow template
- Remove all phases from a workflow template
- Fields
List all phases of a workflow template
Заголовок раздела «List all phases of a workflow template»List all of the phases of a workflow template with a specific ID:
GET /workflow_templates/:id/phasesResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 4558, "...": "..." }]The response contains these fields by default.
Get a single phase of a workflow template
Заголовок раздела «Get a single phase of a workflow template»GET /workflow_templates/:id/phases/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "id": 4558, "...": "..."}The response contains these fields .
Add a phase to a workflow template
Заголовок раздела «Add a phase to a workflow template»Add a phase to a workflow template with a specific ID.
POST /workflow_templates/:id/phasesWhen creating a new phase for a workflow template these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "id": 4558, "...": "..."}Update a phase of a workflow template
Заголовок раздела «Update a phase of a workflow template»Update a phase with a specific ID of a workflow template with a specific ID.
PATCH /workflow_templates/:id/phases/:phase_idWhen updating an existing phase for a workflow template these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "id": 4558, "...": "..."}Remove a phase from a workflow template
Заголовок раздела «Remove a phase from a workflow template»Remove a phase with a specific ID from a workflow template with a specific ID.
DELETE /workflow_templates/:id/phases/:phase_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all phases from a workflow template
Заголовок раздела «Remove all phases from a workflow template»Remove all phases from a workflow template with a specific ID.
DELETE /workflow_templates/:id/phasesResponse
Заголовок раздела «Response»Status: 204 No Contentcreated_at
Readonly datetime — The date and time at which the workflow template’s phase was created.
id
Readonly integer — The unique ID of the workflow template’s phase.
name
Required string (max 50) — The Name field is used to enter the name of the workflow template’s phase.
position
Optional integer — The Position field dictates the position that the phase takes when it is presented in its workflow template.
updated_at
Readonly
datetime
— The date and time of the last update of the workflow template’s phase. If the phase has no updates it contains the
created_at
value.